From 0286de80117915ce8c6f1913d61bbd80acf885ee Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 21 2020 06:00:20 +0000
Subject: [PATCH 1753/2232] Clean up type name in IsRelocatable static assertion message


---

diff --git a/gen/src/write.rs b/gen/src/write.rs
index bf60432..434ca17 100644
--- a/gen/src/write.rs
+++ b/gen/src/write.rs
@@ -412,8 +412,8 @@ fn check_trivial_extern_type(out: &mut OutFile, id: &Pair, reasons: &[TrivialRea
         writeln!(
             out,
             "    \"type {} is not move constructible and trivially destructible in C++ yet is used as a trivial type in Rust ({})\");",
-            id,
-            reason
+            id.trim_start_matches("::"),
+            reason,
         );
     }
 }

